[API]
MultiByteToWideChar

[CODE]
Public Function UTF8Decode(ByVal xChar1 As String) As String
  Dim xLong1 As Long
  Dim xLong2 As Long
  Dim xChar2 As String

  xLong1 = Len(xChar1)
  If Not xLong1 = 0& Then
    xLong2 = MultiByteToWideChar(65001, 0&, ByVal xChar1, xLong1, ByVal 0&, 0&)
    xChar2 = String(xLong2, vbNullChar)
    xLong1 = MultiByteToWideChar(65001, 0&, ByVal xChar1, xLong1, ByVal StrPtr(xChar2), xLong2)
    If xLong1 = xLong2 Then
      UTF8Decode = xChar2
      End If
    End If
  End Function